<?php

namespace FiloBlu\ExtAmastyGeoipRedirect\Model;

class Continent extends \Magento\Framework\Model\AbstractModel {
    
    protected $_continentCollectionFactory;
    
      public function __construct(
        \FiloBlu\ExtAmastyGeoipRedirect\Model\ResourceModel\Continent\CollectionFactory $continentCollectionFactory,
        \Magento\Framework\Model\Context $context,
        \Magento\Framework\Registry $registry,
        \Magento\Framework\Model\ResourceModel\AbstractResource $resource = null,
        \Magento\Framework\Data\Collection\AbstractDb $resourceCollection = null,
        array $data = []
    )
    {
        $this->_continentCollectionFactory = $continentCollectionFactory;
        parent::__construct($context, $registry, $resource, $resourceCollection, $data);
    }
    
     /**
     * Initialize resource model
     *
     * @return void
     */
    protected function _construct() {
        $this->_init('FiloBlu\ExtAmastyGeoipRedirect\Model\ResourceModel\Continent');
    }
    
    public function getAvailableContinent()
    {
        $collection = $this->_continentCollectionFactory->create();
        $collection->addFieldToSelect(array('continent_id', 'continent'));
        $collection->setOrder('position', 'ASC');

        return $collection;
    }
    
    public function getContinentById($continentId)
    {
        $collection = $this->_continentCollectionFactory->create();
        $collection->addFieldToSelect(array('continent','position'));
        $collection->addFieldToFilter('continent_id', ["eq" => $continentId]);

        return $collection->getFirstItem();
    }

}
